Page MenuHomePhabricator

Requesting access to stat1/EventLogging data for Pcoombe
Closed, ResolvedPublic

Description

Username: Pcoombe
Full name: Peter Coombe

The WMF Fundraising team are going to run some tests using EventLogging to monitor user clicks on buttons/links in our banners. I need read-only access to the EventLogging data to obtain results and perform analysis. According to https://office.wikimedia.org/wiki/Data_access#EventLogging this can be done with access to stat1.

My public key for this:

Event Timeline

Pcoombe created this task.Mar 30 2015, 7:17 PM
Pcoombe raised the priority of this task from to Needs Triage.
Pcoombe updated the task description. (Show Details)
Pcoombe added a project: SRE-Access-Requests.
Pcoombe added a subscriber: Pcoombe.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptMar 30 2015, 7:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

As Peter's supervisor, I approve this request. Thank you!

fgiunchedi added a subscriber: fgiunchedi.

stat1 no longer exists so I suspect that documentation is outdated, anyways we have a 3 days grace period for access requests. will look up EL access documentation

fgiunchedi triaged this task as Medium priority.Mar 31 2015, 10:24 AM

@Ottomata ideas on what machines/groups/etc access should be granted for EL data?

eventlogging data is on stat1003. You should add this user to the statistics-users group.

I updated (some of) the docs there.

Dzahn added a subscriber: Dzahn.Apr 1 2015, 8:32 PM

could we copy this from office wiki to wikitech?

Change 201430 had a related patch set uploaded (by Filippo Giunchedi):
admin: add pcoombe to statistics-users

https://gerrit.wikimedia.org/r/201430

Change 201430 merged by Filippo Giunchedi:
admin: add pcoombe to statistics-users

https://gerrit.wikimedia.org/r/201430

fgiunchedi closed this task as Resolved.Apr 2 2015, 2:29 PM

change merged, should propagate in 1hr or so